//
//  NEScreenShareHost.h
//  NEScreenShareKit
//
//  Created by Wenchao Ding on 2021/5/13.
//  Copyright © 2021 NetEase. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "NEScreenShareHostOptions.h"
#import "NEScreenShareHostPublicDefine.h"

//! Project version number for NEScreenShareHost.
FOUNDATION_EXPORT double NEScreenShareHostVersionNumber;

//! Project version string for NEScreenShareHost.
FOUNDATION_EXPORT const unsigned char NEScreenShareHostVersionString[];


NS_ASSUME_NONNULL_BEGIN

@interface NEScreenShareHost : NSObject

/// 直接开启录制插件，iOS12以后可用
- (void)launchBroadcaster API_AVAILABLE(ios(12.0));

/// 停止共享
- (void)stopBroadcaster;

/// 初始化
- (instancetype)initWithOptions:(NEScreenShareHostOptions *)options;

- (NSError*) prepare;


@end

NS_ASSUME_NONNULL_END
