//
//  NEScreenShareHostOptions.h
//  NEScreenShareKit
//
//  Created by Wenchao Ding on 2021/5/12.
//  Copyright © 2021 NetEase. All rights reserved.
//

#import <Foundation/Foundation.h>
//#import <NEScreenShareHost/NEScreenShareHostDelegate.h>
#import "NEScreenShareHostDelegate.h"

NS_ASSUME_NONNULL_BEGIN

@interface NEScreenShareHostOptions : NSObject

/// Apple appGroup
@property (nonatomic, copy) NSString *appGroup;

/// 接收方代理
@property (nonatomic, weak) id<NEScreenShareHostDelegate> delegate;

/// 端口号(确保宿主和扩展进程依赖库中使用相同的端口号，默认18089)
@property (nonatomic, assign) int listenPort;

@end

NS_ASSUME_NONNULL_END
